TaskThread (Apache Tomcat 11.0.24 API Documentation)
Description: declaration: package: org.apache.tomcat.util.threads, class: TaskThread

# Class TaskThread

java.lang.Object
java.lang.Thread
org.apache.tomcat.util.threads.TaskThread

All Implemented Interfaces:
  `Runnable`

public class TaskThread extends Thread
A Thread implementation that records the time at which it was created.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Thread

  `Thread.Builder, Thread.State, Thread.UncaughtExceptionHandler`

- ## Field Summary

  ### Fields inherited from class Thread

  `MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TaskThread(ThreadGroup group, Runnable target, String name)`
  Creates a new TaskThread with the specified parameters.
  `TaskThread(ThreadGroup group, Runnable target, String name, long stackSize)`
  Creates a new TaskThread with the specified parameters and stack size.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final long`
  `getCreationTime()`
  Returns the time at which this thread was created.

  ### Methods inherited from class Thread

  `activeCount, checkAccess, clone, currentThread, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, isVirtual, join, join, join, join, ofPlatform, ofVirtual, onSpinWait, run, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, sleep, start, startVirtualThread, stop, threadId, toString, yield`

  ### Methods inherited from class Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TaskThread

    public TaskThread(ThreadGroup group, Runnable target, String name)
    Creates a new TaskThread with the specified parameters.
    Parameters:
      `group` - the thread group
      `target` - the runnable task
      `name` - the thread name

  - ### TaskThread

    public TaskThread(ThreadGroup group, Runnable target, String name, long stackSize)
    Creates a new TaskThread with the specified parameters and stack size.
    Parameters:
      `group` - the thread group
      `target` - the runnable task
      `name` - the thread name
      `stackSize` - the desired stack size

- ## Method Details

  - ### getCreationTime

    public final long getCreationTime()
    Returns the time at which this thread was created.
    Returns:
      the creation time in milliseconds since the epoch